#!/bin/bash

is_installed(){
	[ -n "$(dpkg -l "$1" | grep -E '^ii')" ]
}

task_installed(){
	[ -n "$(tasksel --list-tasks | awk '{print $1,$2}' | grep 'i '$1)" ]
}

exit_if_not_installed_task(){
	task_installed $1
	if [ $? -ne 0 ]; then
		echo "La tarea $1 no está instalada ignorando configuraciones relacionadas"
		exit 1
	fi
}

if [ "$(ps -C gconfd-2 | grep gconfd-2)" != "" ]; then
        #Si gconfd-2 este activo hay que matarlo como consecuencia de usar --direct abajo
        killall -9 gconfd-2
fi
#Usamos --direct para poder configurar las cosas sin que gconfd-2 esté activo (por ejemplo
#cuando la máquina esté booteando)
gconftool="gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults "

